Package org.gradle.tooling.events.problems

# Interface ProblemGroup

@Incubating public interface ProblemGroup
Represents a problem group.

Since:
  8.9

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDisplayName()`
  Returns a human-readable label describing the group.
  `String`
  `getName()`
  The name of the problem group.
  `@Nullable ProblemGroup`
  `getParent()`
  Returns the parent group or `null` for root groups.

- ## Method Details

  - ### getName

    String getName()
    The name of the problem group.
    Returns:
      the label
    Since:
      8.9

  - ### getDisplayName

    String getDisplayName()
    Returns a human-readable label describing the group.
    Returns:
      the display name
    Since:
      8.9

  - ### getParent

    @Nullable ProblemGroup getParent()
    Returns the parent group or `null` for root groups.
    Returns:
      the parent group
    Since:
      8.9